# Cinder

# cinder::cairo::SurfaceQuartz Class Reference

`#include <Cairo.h>`

Inherits cinder::cairo::SurfaceBase.

List of all members.

## Public Member Functions
| SurfaceQuartz ()
| SurfaceQuartz (CGContextRef cgContext, int32_t width, int32_t height)
| SurfaceQuartz (const SurfaceQuartz &other)
CGContextRef | getCgContextRef ()
cairo_surface_t * | getCairoSurface () const
int32_t | getWidth () const
int32_t | getHeight () const
float | getAspectRatio () const
Area | getBounds () const
Vec2i | getSize () const
void | flush ()
## Protected Attributes
CGContextRef | mCgContextRef
cairo_surface_t * | mCairoSurface
int32_t | mWidth
int32_t | mHeight

## Constructor & Destructor Documentation

cinder::cairo::SurfaceQuartz::SurfaceQuartz | ( |  | ) |

cinder::cairo::SurfaceQuartz::SurfaceQuartz | ( | CGContextRef | cgContext,
|  | int32_t | width,
|  | int32_t | height |
| ) |  |  |

cinder::cairo::SurfaceQuartz::SurfaceQuartz | ( | const SurfaceQuartz & | other | ) |

## Member Function Documentation

CGContextRef cinder::cairo::SurfaceQuartz::getCgContextRef | ( |  | ) |

cairo_surface_t* cinder::cairo::SurfaceBase::getCairoSurface | ( |  | ) | const`[inherited]`

int32_t cinder::cairo::SurfaceBase::getWidth | ( |  | ) | const`[inherited]`

int32_t cinder::cairo::SurfaceBase::getHeight | ( |  | ) | const`[inherited]`

float cinder::cairo::SurfaceBase::getAspectRatio | ( |  | ) | const`[inherited]`

Area cinder::cairo::SurfaceBase::getBounds | ( |  | ) | const`[inherited]`

Vec2i cinder::cairo::SurfaceBase::getSize | ( |  | ) | const`[inherited]`

void cinder::cairo::SurfaceBase::flush | ( |  | ) | `[inherited]`

## Member Data Documentation

CGContextRef cinder::cairo::SurfaceQuartz::mCgContextRef`[protected]`

cairo_surface_t* cinder::cairo::SurfaceBase::mCairoSurface`[protected, inherited]`

int32_t cinder::cairo::SurfaceBase::mWidth`[protected, inherited]`

int32_t cinder::cairo::SurfaceBase::mHeight`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/cairo/Cairo.h
- src/cinder/cairo/Cairo.cpp